Bug 135140 - Package won't build
Package won't build
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: cyrus-sasl (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Conklin
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-10-08 18:28 EDT by John Morris
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:16:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Morris 2004-10-08 18:28:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)

Description of problem:
Package has several build problems.

1.  The version released for RHEL3 requires autoconf/automake newer
than supplied with RHEL3.

2.  The buildreq entry does not indicate this, so building crashes
instead of throwing a dependency error.

3.  After solving the above (by temp upgrade to FC2 version of GNU
autoconf/automake), the package STILL does not build.  Adding this at
line 88 of the .spec fixes the problem:

# Patched 04/10/08 by jmorris@beau.org, package won't build without this.
(cd utils ; cp dbconverter-1.5.9.c dbconverter-1.5.c )

Of course this isn't the correct way to fix it, but not being a wizard
with autoconf I will defer to those who are.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Attempt building the package on RHEL3
2. Watch it fail.
3. Upgrade autoconf/automake and try again.
4. Watch it fail.
5. Add my patch to the .spec
6. Success.
Comment 1 RHEL Product and Program Management 2007-10-19 15:16:27 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.